Page MenuHomePhabricator

[mlir][math] Added algebraic simplification for IPowI operation.
ClosedPublic

Authored by vzakhari on Jul 22 2022, 12:29 PM.

Diff Detail

Event Timeline

vzakhari created this revision.Jul 22 2022, 12:29 PM
vzakhari requested review of this revision.Jul 22 2022, 12:29 PM
vzakhari updated this revision to Diff 449429.Aug 2 2022, 2:02 PM

rebase

Please review.

Mogball accepted this revision.Aug 11 2022, 10:05 AM
This revision is now accepted and ready to land.Aug 11 2022, 10:05 AM
Mogball requested changes to this revision.Aug 11 2022, 10:07 AM
Mogball added inline comments.
mlir/lib/Dialect/Math/Transforms/AlgebraicSimplification.cpp
161

can you add comments on what the reductions are doing? Like the powf reductions above.

This revision now requires changes to proceed.Aug 11 2022, 10:07 AM
vzakhari updated this revision to Diff 452036.Aug 11 2022, 4:43 PM
Mogball accepted this revision.Aug 15 2022, 11:05 AM

This is great work. Thanks

mlir/lib/Dialect/Math/Transforms/AlgebraicSimplification.cpp
209–211
This revision is now accepted and ready to land.Aug 15 2022, 11:05 AM
vzakhari added inline comments.Aug 15 2022, 11:34 AM
mlir/lib/Dialect/Math/Transforms/AlgebraicSimplification.cpp
209–211

Thank you for the review! I will apply this change before merging.